%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

%global sname neutronclient


%global common_desc \
Client library and command line utility for interacting with OpenStack \
Neutron's API.

Name:       python-neutronclient
Version:    6.7.0
Release:    2%{?dist}
Summary:    Python API and CLI for OpenStack Neutron

License:    ASL 2.0
URL:        http://launchpad.net/%{name}/
Source0:    https://tarballs.openstack.org/%{name}/%{name}-%{upstream_version}.tar.gz

BuildArch:  noarch

Obsoletes:  python-%{sname}-tests <= 4.1.1-3

%description
%{common_desc}

%package -n python3-%{sname}
Summary:    Python API and CLI for OpenStack Neutron
%{?python_provide:%python_provide python3-neutronclient}

BuildRequires: python3-devel
BuildRequires: python3-setuptools
BuildRequires: python3-pbr
# Required for unit tests
BuildRequires: python3-osc-lib-tests
BuildRequires: python3-oslotest
BuildRequires: python3-testrepository
BuildRequires: python3-testtools
BuildRequires: python3-testscenarios
BuildRequires: python3-keystoneclient

Requires: python3-babel >= 2.3.4
Requires: python3-cliff >= 2.8.0
Requires: python3-iso8601 >= 0.1.11
Requires: python3-netaddr >= 0.7.18
Requires: python3-os-client-config >= 1.28.0
Requires: python3-oslo-i18n >= 3.15.3
Requires: python3-oslo-serialization >= 2.18.0
Requires: python3-oslo-utils >= 3.33.0
Requires: python3-pbr
Requires: python3-requests >= 2.14.2
Requires: python3-simplejson >= 3.5.1
Requires: python3-six >= 1.10.0
Requires: python3-debtcollector >= 1.2.0
Requires: python3-osc-lib >= 1.8.0
Requires: python3-keystoneauth1 >= 3.3.0
Requires: python3-keystoneclient >= 1:3.8.0

%description -n python3-%{sname}
%{common_desc}


%package -n python3-%{sname}-tests
Summary:    Python API and CLI for OpenStack Neutron - Unit tests
%{?python_provide:%python_provide python3-%{sname}-tests}
Requires: python3-%{sname} == %{version}-%{release}
Requires: python3-osc-lib-tests
Requires: python3-oslotest
Requires: python3-testrepository
Requires: python3-testtools
Requires: python3-testscenarios

%description -n python3-%{sname}-tests
%{common_desc}

This package containts the unit tests.

%package doc
Summary:          Documentation for OpenStack Neutron API Client

BuildRequires:    python3-sphinx
BuildRequires:    python3-openstackdocstheme
BuildRequires:    python3-reno
BuildRequires:    python3-keystoneauth1
BuildRequires:    python3-keystoneclient
BuildRequires:    python3-os-client-config
BuildRequires:    python3-osc-lib
BuildRequires:    python3-oslo-serialization
BuildRequires:    python3-oslo-utils
BuildRequires:    python3-cliff

%description      doc
%{common_desc}

%prep
%autosetup -n %{name}-%{upstream_version} -S git

# Let RPM handle the dependencies
rm -rf {,test-}requirements.txt

%build
%py3_build

# Build HTML docs
%{__python3} setup.py build_sphinx -b html

# Fix hidden-file-or-dir warnings
rm -rf doc/build/html/.doctrees doc/build/html/.buildinfo

%install
%py3_install

%check
rm -rf .testrepository
PYTHON=%{__python3} %{__python3} setup.py testr

%files -n python3-%{sname}
%license LICENSE
%doc README.rst
%{python3_sitelib}/%{sname}
%{python3_sitelib}/*.egg-info
%{_bindir}/neutron
%exclude %{python3_sitelib}/neutronclient/tests

%files -n python3-%{sname}-tests
%{python3_sitelib}/neutronclient/tests

%files doc
%doc doc/build/html
%license LICENSE

%changelog
* Mon Nov 19 2018 Miro Hrončok <mhroncok@redhat.com> - 6.7.0-2
- Subpackages python2-neutronclient, python2-neutronclient-tests have been removed
  See https://fedoraproject.org/wiki/Changes/Mass_Python_2_Package_Removal

* Sun Feb 11 2018 RDO <dev@lists.rdoproject.org> 6.7.0-1
- Update to 6.7.0

